# Rooms

Rooms

 - [POST /rooms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/createroom.md): This method will auto-generate an ID and create a new room. If an ID is specified for the room, an error will be thrown.
 - [POST /rooms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /rooms/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/listroomsbyeventid.md): Returns a list of records with the specified event_id
 - [DELETE /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/deleteroom.md): This method will delete a room with the specified ID.
 - [GET /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/getroom.md): This method will look up a room by the specified ID and return it back.
 - [PATCH /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/patchroom.md): This method will patch an existing room with the specified ID, using the HTTP PATCH specification.
 - [PUT /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/updateroom.md): This method will update an existing room with the specified ID.
